<div 
style="text-align: center; 
font-weight: bold; font-size: 44px;
background-color: #17a2b8;
color: white;
font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;">

    <div title="User ID">Update Account #{{ user.id }}</div>
    <div style="color: #212529;">{{ user.firstName }} {{ user.lastName }}</div>
</div>

<div class="card my-5">
    <div class="card-body">
      <form (ngSubmit)="updateUser(updateUserForm.value)" #updateUserForm="ngForm">

        <div hidden class="form-group">
          <label for="id">id</label> 
          <input type="text" [(ngModel)]="updateUserForm.value.ID" 
            class="form-control"
            id="ID"
            name="ID"
            placeholder="{{user.id}}"
            required #firstName="ngModel">
        </div>

        <div class="form-group">
          <label for="firstName">First Name</label> 
          <input type="text" [(ngModel)]="updateUserForm.value.firstName" 
            class="form-control"
            id="firstName"
            name="firstName"
            placeholder="{{user.firstName}}"
            required #firstName="ngModel">
        </div>

        <div class="form-group">
            <label for="lastName">Last Name</label>
            <input type="text" [(ngModel)]="updateUserForm.value.lastName" 
              class="form-control"
              id="lastName"
              name="lastName"
              placeholder="{{user.lastName}}"
              required #lastName="ngModel">
          </div>

        <div class="form-group">
          <label for="email">Email</label>
          <input type="text" [(ngModel)]="updateUserForm.value.email" 
            class="form-control"
            id="email"
            name="email"
            placeholder="{{user.email}}"
            required #email="ngModel">
        </div>
        <div class="form-group">
            <label for="birthDate">Birth date</label>
            <input type="date" [(ngModel)]="updateUserForm.value.birthDate" 
              class="form-control"
              id="birthDate"
              name="birthDate"
              placeholder="{{user.birthDate}}"
              #birthDate="ngModel">
          </div>

          <input type="submit" value="Submit changes">

          <!-- <div style="text-align: center;">
           <button (click)="onSubmit(updateUserForm.value)" [disabled]="!updateUserForm.form.valid" 
            class="btn btn-info"><a routeLink = "/users/, user.id">Submit changes</a></button>
          </div> -->

      </form>
    </div>
  </div>